// beams
textures/sr3dm11/beam_r
	{
        qer_editorimage textures/sr3dm11/beam_r.tga
	q3map_lightimage textures/sr3dm11/beam_r.tga
	surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .6
	q3map_surfacelight 100
	cull none
        nomipmaps
	{
		map textures/sr3dm11/beam_r.tga
		tcMod Scroll .3 0
                blendFunc add
        }
}
textures/sr3dm11/fog_red
{
	qer_editorimage textures/sr3dm11/fog_red.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm nolightmap
	q3map_globaltexture
        qer_trans .6
	//q3map_surfacelight 10
	fogparms ( .9 .12 .1 ) 1000

{
		map textures/sr3dm11/fog_clouds.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/sr3dm11/fog_clouds.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}



textures/sr3dm11/jumppad
{
	q3map_lightimage textures/sr3dm11/object_jumpadfanlights.tga
	qer_editorimage textures/sr3dm11/object_jumpadfan.tga
	surfaceparm nodamage
	q3map_surfacelight 400

	{
		map textures/sr3dm11/object_jumpadfan.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/sr3dm11/object_jumpadfanlights.tga
		blendfunc add
		rgbGen wave sin .5 .5 0 1.5
	
	}
}
textures/sr3dm11/light_florescentsquare
{
	q3map_lightimage textures/sr3dm11/light_florescentsquare.tga
	qer_editorimage textures/sr3dm11/light_florescentsquare.tga
	surfaceparm nodamage
	q3map_surfacelight 100
	//q3map_lightsubdivide 64	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sr3dm11/light_florescentsquare.tga
		rgbGen identity
	}
}

//##################################################
// Meat Blood Drips
//##################################################

textures/sr3dm11/meat_objects_blooddrips_A
{
	qer_editorimage textures/sr3dm11/meat_objects_blooddrips_A.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	cull disable
	{
		map textures/sr3dm11/meat_objects_blooddrips_A.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
		tcmod scroll 0 -1.5
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}
//##################################################
//Blood Pool
//##################################################

textures/sr3dm11/meat_liquid_bloodpool_A
	{
		qer_editorimage textures/sr3dm11/meat_liquid_bloodpool_A.tga
		q3map_lightimage textures/sr3dm11/meat_liquid_bloodpool_B.tga
		q3map_surfacelight 200
		q3map_lightsubdivide 64
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		cull disable
		{ 
			map textures/sr3dm11/meat_liquid_bloodpool_A.tga
			blendFunc GL_ONE GL_ONE
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .005 .01
		}
		{ 
			map textures/sr3dm11/meat_liquid_bloodpool_B.tga
			blendFunc GL_ZERO GL_SRC_COLOR
			tcmod scale -.5 -.5
			tcmod scroll .01 .005
		}
		{
			map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbgen identity		
		}
}